<div class="row">
    <div class="col-xs-12">
      <p>Add new Servers or blueprints!</p>
      <label>Server Name</label>
      <!-- <input type="text" class="form-control" [(ngModel)]="newServerName"> -->
      <!-- #serverNameInput are local references that can be used within the template -->
      <input 
        type="text" 
        class="form-control"
        #serverNameInput> 
      <label>Server Content</label>
      <!-- <input type="text" class="form-control" [(ngModel)]="newServerContent"> -->
      <input 
        type="text" 
        class="form-control"
        #serverContentInput>
      <br>
      <button
        class="btn btn-primary"
        (click)="onAddServer(serverNameInput)">Add Server</button>
      <button
        class="btn btn-primary"
        (click)="onAddBlueprint(serverNameInput)">Add Server Blueprint</button>
    </div>
  </div>